LibreOffice: XPropertyState Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XPropertyState Interface Referencepublished

makes it possible to query information about the state of one or more properties. More...

`import "XPropertyState.idl";`

Inheritance diagram for XPropertyState:

## Public Member Functions
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value.
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to query information about the state of one or more properties.

The state contains the information if:

- a value is available or void
- the value is stored in the object itself, or if a default value is to be used
- and if the value cannot be determined, due to ambiguity (multi selection with multiple values).

Developers Guide
  Professional UNO - Properties
  Forms - Control Models

## Member Function Documentation

## ◆ getPropertyDefault()

any getPropertyDefault | ( | [in] string | aPropertyName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::WrappedTargetException ) |  |  |

Returns
  the default value of the property with the name PropertyName.

If no default exists, is not known or is void, then the return type is void.

Parameters

  aPropertyName | specifies the name of the property.

Exceptions

  UnknownPropertyException | if the property does not exist.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

## ◆ getPropertyState()

com::sun::star::beans::PropertyState getPropertyState | ( | [in] string | PropertyName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |

Returns
  the state of the property.

Parameters

  PropertyName | specifies the name of the property.

Exceptions

  UnknownPropertyException | if the property does not exist.

## ◆ getPropertyStates()

sequence< com::sun::star::beans::PropertyState > getPropertyStates | ( | [in] sequence< string > | aPropertyName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |

Returns
  a sequence of the states of the properties which are specified by their names.

The order of the states is correlating to the order of the given property names.

Parameters

  aPropertyName | contains the sequence of property names.

Exceptions

  UnknownPropertyException | if one property does not exist.

## ◆ setPropertyToDefault()

void setPropertyToDefault | ( | [in] string | PropertyName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |

Sets the property to default value.

The value depends on the implementation of this interface. If it is a bound property, you must change the value before the change events are fired. If it is a constrained property, you must fire the vetoable event before you change the property value.

Parameters

  PropertyName | specifies the name of the property.

Exceptions

  UnknownPropertyException | if the property does not exist.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertyState.idl